function [newx]=correc_peak_phase(x,range1);

% x is the original spetra;
% range1 is a matrix of two columns indicating the start and end
% positions of individual peaks;
% use this function, rather than fiddle, if peaks in a spectrum should
% be aligned in different ways.

newx=x;
for i=1:size(range1,1)
  xa=x(:,range1(i,1):range1(i,2));
  [r,B,dphit,dwt]=alignment(xa);
  newx(:,range1(i,1):range1(i,2))=B;
end

