function [dx,dy]=devspec(x,y)
%DEVSPEC
%  Purpose:  Calculates for given spectrum the first derivative spectrum
%  Usage:    [devx,devspectrum]=devspec(x,spectrum)
%  See also: 
%  Created:  Fri Jan  5 16:37:56 1996
%  Update:   Fri Jan  5 16:37:56 1996
%  Author:   Theo Reymers

dy=diff(y)./diff(x);
[m,n] = size(x);

if m == 1
  x = (x(2:n) + x(1:n-1)) / 2;
else
  x = (x(2:m,:) + x(1:m-1,:)) / 2;
end

dx=x;
