function [peak,realpeak]=nmrspec(a,f,d,p,x);

%give a set of simulated data of Lorentzian shape
%where a=amplitude of the peak,
%      f=frequency of the peak,
%     d=damping of the peak,
%      p=phase of peak
%     x=sampling interval

for i=1:size(a,1)
  peak(i,:)=a(i).*exp(sqrt(-1).*p(i)).*exp((-d(i)+(sqrt(-1))*2*pi*f(i)).*x);
  realpeak(i,:) =fft(peak(i,:));  
end
a=real(realpeak); b=imag(realpeak);
realpeak=a;
