function [z] = addfrequency(x,shift);
%
% z is frequency shifted version of x
% x is real valued signal
%

[nsignal nsample] = size(x);
y = ifft(x);
for k=1:nsample/2
  h1(k)=y(k) * exp(-2*pi*i*shift*k/nsample);
end;

for k=nsample/2+1:nsample
  h2(k-nsample/2)=y(k) * exp(2*pi*i*shift*k/nsample);
end;

z1= fft([h1 h2]);
z =real(z1);
