function [h] = hilbert (x);

% h is hibert transfrom of x;
% x is real valued signal
clear i;
%x=x';
[nsample, nsignal]=size(x);
y = fft(x);
h  = zeros(nsample, 1);
h([1 nsample/2+1]) = 1;
h(2:nsample/2) = 2;
h1 = y(1:nsample/2, :).* h(1:nsample/2,ones(1,nsignal));
h2 = y(nsample/2+1:nsample, :).* h(nsample/2+1:nsample, ones(1,nsignal));
h = ifft([h1; h2]);
%h=h';
