function [X]=modeloverlap(PA,PB,PC,nr_points);
%Written by Han Witjes

x=1:nr_points;

%normalise
MA=PA/sum(PA);
MB=PB/sum(PB);
MC=PC/sum(PC);

%calculate derivatives

y=MA;
[dx,dy]=devspec(x,y);
MAdw=dy;
MAdw=[MAdw MAdw(nr_points-1)];

y=MB;
[dx,dy]=devspec(x,y);
MBdw=dy;
MBdw=[MBdw MBdw(nr_points-1)];

y=MC;
[dx,dy]=devspec(x,y);
MCdw=dy;
MCdw=[MCdw MCdw(nr_points-1)];


X=[MA' MAdw' MB' MBdw' MC' MCdw'];
