function [PC]=pca(D,nr_points)
% Written by Han Witjes, used in the alignment procedure

[dummy,E,P]=svd(D);

%Calculate derivatives and phase signals
y=P(:,1);
y=y';

x=1:nr_points;
[dx,dy]=devspec(x,y);
PCd=dy;
PCd=[PCd PCd(nr_points-1)];

B=hilbert(P(:,1));
PCi=imag(B);
PCi=PCi';

y=PCi;
[dx,dy]=devspec(x,y);
PCid=dy;
PCid=[PCid PCid(nr_points-1)];

PC1=P(:,1);
PCd=PCd';
PCi=PCi';
PCid=PCid';


PC=[PC1 PCd PCi PCid];
