%function [x,spectra]=seperate_spec;
%Aim: to simulate a plot containing five peaks which indicate four components.
%use function [peak,realpeak]=nmrspec(a,f,d,p,x);
%also put some noise in it.

function [x,spectra]=seperate_spec;
x=0:999;
a = [0.50; 0.50; 1.00; 0.50; 1.00];
f = [0.75; 0.52; 0.50; 0.48;  0.25; 0.24;0.40];
d = [0.01; 0.02; 0.04; 0.05; 0.08];
p = [0; 0; 0; 0; 0];

%1st component;
[peak,realpeak] = nmrspec(a([5 4 1]),f([5 4 1]),d([4 4 1]),p([5 4 1]),x);
spectra2=sum(realpeak);
 
%2nd component;
[peak,realpeak] = nmrspec(a([4,2]),f([6,2]),d([1,1]),p([5,2]),x);
spectra3=sum(realpeak);

%3rd component;
[peak,realpeak] = nmrspec(a([3]),f([3]),d([2]),p([2]),x);
spectra1=realpeak;

%4th component;
[peak,realpeak] = nmrspec(a([4,5]),f([4,7]),d([4,5]),p([4,4]),x);
spectra4=sum(realpeak);

%combine in one matrix;
 
spectra=[spectra1;spectra2;spectra3;spectra4];
plot(x,spectra);
set(gca,'XDIR','reverse');
xlabel('Frequency');
ylabel('intensity');


  
